Go to the latest version of this document.

# ``twisted`.`words`.`im`.`baseaccount`.`AccountManager``

class documentation

`class AccountManager: (source)`

View In Hierarchy

I am responsible for managing a user's accounts.

That is, remembering what accounts are available, their settings, adding and removal of accounts, etc.

Method | `__init__` | Undocumented
Method | `addAccount` | Undocumented
Method | `connect` | No summary
Method | `delAccount` | Undocumented
Method | `disconnect` | Undocumented
Method | `getConnectionInfo` | Undocumented
Method | `getSnapShot` | A snapshot of all the accounts and their status.
Method | `isEmpty` | Undocumented
Method | `quit` | Undocumented
Instance Variable | `accounts` | A collection of available accounts.

def __init__(self): (source)

Undocumented

def addAccount(self, account): (source)

Undocumented

def connect(self, accountName, chatui): (source)

Returns
Deferred `interfaces.IClient` | Undocumented

def delAccount(self, accountName): (source)

Undocumented

def disconnect(self, accountName): (source)

Undocumented

def getConnectionInfo(self): (source)

Undocumented

def getSnapShot(self): (source)

A snapshot of all the accounts and their status.

Returns
A list of tuples, each of the form (string:accountName, boolean:isOnline, boolean:autoLogin, string:gatewayType)

def isEmpty(self): (source)

Undocumented

def quit(self): (source)

Undocumented

accounts: mapping of strings to `Account`s. = (source)

A collection of available accounts.